# $Revision: 1.27 $, $Date: 2011/12/21 09:41:01 $
%define		module	pyvorbis
Summary:	A Python module for the the Ogg/Vorbis library
Summary(pl.UTF-8):	Moduł Pythona do biblioteki Ogg/Vorbis
Name:		python-%{module}
Version:	1.4
Release:	8
License:	GPL
Group:		Libraries/Python
Source0:	http://ekyo.nerim.net/software/pyogg/%{module}-%{version}.tar.gz
# Source0-md5:	b4921e792c0a74f75b9d3057df10ee7c
Patch0:		pyvorbis-double_free.patch
URL:		http://ekyo.nerim.net/software/pyogg/
BuildRequires:	libvorbis-devel
BuildRequires:	python-devel
BuildRequires:	python-pyogg-devel
BuildRequires:	rpmbuild(macros) >= 1.174
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	python-pyogg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	pyvorbis

%description
pyvorbis is a wrapper for libvorbis, a compressed audio format
library.

%description -l pl.UTF-8
pyvorbis jest wrapperem dla libvorbis - biblioteki obsługującej dźwięk
w formacie skompresowanym.

%package devel
Summary:	pyvorbis headers and example programs
Summary(pl.UTF-8):	Pliki nagłówkowe modułu pyvorbis
Group:		Development/Languages/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
%pyrequires_eq	python-devel
Requires:	libvorbis-devel
Obsoletes:	pyvorbis-devel

%description devel
pyvorbis is a wrapper for libvorbis, a compressed audio format
library. This package contains the header files and example programs
for pyvorbis module.

%description devel -l pl.UTF-8
pyvorbis jest wrapperem dla libvorbis - biblioteki obsługującej dźwięk
w formacie skompresowanym. Ten pakiet zawiera pliki nagłówkowe i
programy przykładowe dla moduły pyvorbis.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
python config_unix.py \
	---prefix %{_prefix}
python setup.py config
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_incdir}/%{module}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

python setup.py install \
	--root $RPM_BUILD_ROOT

install src/*.h $RPM_BUILD_ROOT%{py_incdir}/%{module}
chmod -x test/*
install test/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS
%attr(755,root,root) %{py_sitedir}/ogg/*.so
%attr(755,root,root) %{py_sitedir}/*.egg-info
%{_examplesdir}/%{name}-%{version}

%files devel
%defattr(644,root,root,755)
%{py_incdir}/%{module}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyvorbis.spec,v $
Revision 1.27  2011/12/21 09:41:01  jajcus
- egg-info file added
- double free crash fixes (based on some Ubuntu patch and the unofficial 1.5a release)
- Release: 8

Revision 1.26  2010/11/13 00:20:59  pawelz
- release 7

Revision 1.25  2010/07/08 08:35:59  arekm
- release 6

Revision 1.24  2009/11/14 20:45:08  zbyniu
- BR: rpm-pythonprov

Revision 1.23  2008/11/28 09:47:38  lisu
- proper URL

Revision 1.22  2008/10/03 17:59:44  arekm
- release 5

Revision 1.21  2008/07/27 23:00:35  arekm
- release 4

Revision 1.20  2007-03-02 22:05:30  beorn
- Fixed comment of the -devel package

Revision 1.19  2007/03/02 22:01:21  beorn
- Example files moved from -devel package to _examplesdir of the base package

Revision 1.18  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.16  2006/09/27 20:09:26  wrobell
- rel. 2 to rebuild with python 2.5 (final)

Revision 1.15  2006/09/03 11:42:34  patrys
- up to 1.4
- new maintainer

Revision 1.14  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.13  2004/12/26 17:45:37  saq
- strict internal and external deps, release 2

Revision 1.12  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.11  2004/05/26 21:15:23  ankry
- capitalization, tabs, other cosmetics

Revision 1.10  2003/11/22 00:55:12  qboosh
- updated to 1.3

Revision 1.9  2003/05/28 13:01:31  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/05/06 10:40:10  qboosh
- added -devel deps

Revision 1.6  2003/05/06 10:32:53  qboosh
- cleanups in descriptions and deps

Revision 1.5  2003/05/06 07:42:24  djrzulf
- s/Obsolete/Obsoletes/, STBR

Revision 1.4  2003/04/30 01:23:31  djrzulf
- added Obsoletes

Revision 1.3  2003/04/30 01:19:14  djrzulf
- adapterized, i think it's finished, STBR

Revision 1.2  2003/04/29 23:56:11  djrzulf
- summary at devel package

Revision 1.1  2003/04/29 23:52:21  djrzulf
- based on python-pyogg and alt linux,
